#if !defined(AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_)
#define AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExternDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExternDlg dialog
#include "MyButton.h"
#include "SDR14Sources/sdr14dll.h"

class CExternDlg : public CDialog, public sdr14dll
{
// Construction
public:
	CExternDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CExternDlg();

// Dialog Data
	//{{AFX_DATA(CExternDlg)
	enum { IDD = IDD_EXTIO_DIALOG };
	MyButton		b_att;
	MyButton		b_manual;
	MyButton		b_samples;
	MyButton		b_logo;
	CStatic			t_HF;
	CStatic			t_IF;
	//}}AFX_DATA

	int			visibility;

	void		SetButtonState();
	void		Set_Sample(int mode);
	void		Show_GUI(int show);
	void		Set_ATT(int set);
	void		Set_IFGain(int set);
	void		Set_HFGain(int set);
	void		Set_IFGainText(int set);
	void		Set_HFGainText(int set);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExternDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON			m_hIcon;
	// Generated message map functions
	//{{AFX_MSG(CExternDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnAtt();
	afx_msg void OnSetSamples();
	afx_msg void OnManual();
	afx_msg void OnClose();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnSetIFGain(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSetHFGain(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg LRESULT OnStatusChange(UINT status, LONG p2);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTERNDLG_H__E1E64A80_7E50_40E5_9234_BA042C1AB5B5__INCLUDED_)
